*A Kerr, Jan 2014
*Creating the do files that rename and relabel the SESE data


clear all
set more off

global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"

insheet using "$mergefolder\SESE master codebook.csv"

compress


foreach v in sese2001 sese2005 sese2009 sese2013  {
	gen str60 rename`v'="cap rename "+`v'+" "+newcode if `v'~=""
	outfile rename`v' using "$mergefolder\rename`v'.do", replace noquote
}

/* not needed at the moment?
*create do file to do second renaming
gen str60 rename2="cap rename "+ newcode + " " + newcode2 if newcode2~="" & newcode~=""
outfile rename2 using "$mergefolder\SESErename2.do", replace noquote
*/
*create a single do file for variable labels
gen str150 dofilelabvar="cap label var "+ newcode + " " + `" ""'+desc+ `"""'
outfile dofilelabvar using "$mergefolder\seselabelvars.do", replace noquote


*now create do files for value labels 
clear
insheet using "$mergefolder\SESE Master value labels.csv"
compress


gen str10 labnumstr=string(vallabnum)
gen str150 dofilelabdef="cap label define "+newcode+" "+labnumstr+ `" ""' + vallabel + `"""' +", modify" if vallabnum~=.
compress
outfile dofilelabdef using "$mergefolder\seselabeldefine.do" if vallabnum~=. , replace noquote

bysort id: gen count=_n
gen str150 dofilelabval="cap label values "+ newcode + " " + newcode if vallabnum~=. & count==1
compress
outfile dofilelabval using "$mergefolder\seselabelvalues.do" if vallabnum~=. & count==1 , replace noquote
