* A Kerr, Feb 2014
*this do file sets out the files needed to create ESS v1.3.
*To get this to run on another computer will require adjusting each do file used below to make sure the global file names point to the correct folders on your own computer.

set more off 
clear all

global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"
global data01 "C:\Users\admin\Desktop\Andy\DataFirst\SESE\2001"
global palmsdata "C:\Users\admin\Desktop\Andy\DataFirst\main project\PALMS"

	do "$mergefolder\SESEcreatedofiles.do"
	* to run this do file requires the .csv files "SESE master codebook.csv" and "SESE Master value labels.csv" to be in the mergefolder
	
	do "$mergefolder\sesemerge2001.do"
	
	*at the moment (for ESSv1.1) I am not including the new 2005 data from Malerato with the non15-64 years dropped from the data.
	*that also means 2005 has no matched data from PALMS. 
	do "$mergefolder\sesemerge2005.do"
	do "$mergefolder\sesemerge2009.do"
	
	do "$mergefolder\sesemerge2013.do"
	*this will not run if the analyst does not create a version of PALMS that contains 2013 data. 
	*You can email andrew.kerr@uct.ac.za if you would like this version of PALMS.

	do "$mergefolder\appendsese.do"
